# 
# anyRemote - a bluetooth remote for your PC.
#
# Copyright (C) 2007-2018 Mikhail Fedotov <anyremote@mail.ru>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
# 

bin_PROGRAMS = anyremote
anyremote_SOURCES = main.c dispatcher.c executor.c cmds.c parse.c utils.c conf.c \
                    xemulate.c atsend.c btio.c pr_l2cap.c pr_web.c pr_frontend.c ar_dbus.c \
		    queue.c mutex.c thread.c list.c var.c alarm.c timer.c hash.c loop.c str.c \
		    pr_stdin.c peer.c pr_btspp.c pr_socket.c pr_rfcomm.c pr_serial.c \
		    sys_util.c security.c mode.c state.c gen_html.c gen_xml.c gen_ar.c avahi.c \
		    parse.h executor.h cmds.h utils.h xemulate.h conf.h common.h common.h ar_dbus.h \
		    pr_l2cap.h pr_web.h pr_frontend.h btio.h atsend.h dispatcher.h lib_wrapper.h \
		    queue.h mutex.h thread.h list.h var.h alarm.h timer.h hash.h loop.h str.h \
		    pr_stdin.h peer.h pr_btspp.h pr_socket.h pr_rfcomm.h pr_serial.h \
		    sys_util.h security.h mode.h state.h gen_html.h gen_xml.h gen_ar.h avahi.h
anyremote_LDFLAGS = @LDFLAGS@
anyremote_LDADD = @AR_EXTRALIBS@
AM_CFLAGS = @AR_EXTRAFLAGS@
 
